> For the complete documentation index, see [llms.txt](https://docs.jetadmin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jetadmin.io/classic-app-builder/design-and-structure/pages/link-pages.md).

# Link Pages

In this section you will learn how to link pages

To pass a value from one page to another, you need to use the Navigate to page action. To do so, follow the steps:

1. Click on the **table**
2. From the right menubar, go to the `Actions` tab
3. Click on the `Row Click`
4. From the dropdown, choose `Navigate to Page`
5. Link the New Page
6. Go to the Page Parameters section, to specify it
7. Click on the `Formula` icon
8. Choose the **Primary Key** of the row

{% @arcade/embed flowId="jEsx7EoilqGkbBapJhIl" url="<https://app.arcade.software/share/jEsx7EoilqGkbBapJhIl>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jetadmin.io/classic-app-builder/design-and-structure/pages/link-pages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
